## Valheim Defenders
One day, waves of enemies will come to attack your base. Start building these new elemental versions of the ballista to defend it.

Valheim Defenders adds elemental variations of the ballista. There are mini and normal size and a new micro size ballista. The new ballistae do elemental damage: Ice, Fire, Poison and Lightning. They each do some elemental damage of their type and adds the corresponding status effect to the target.  ex: Ice Ballista does frost damage and adds the frost slowing effect.

*** Ballistae can be found in the 'Defenders' tab in the hammer menu. ***

## Installation
Requires BepInEx and Jotunn

## Features
### New Elemental Ballistae
- Micro and Normal sizes
- Unlimited Ammo - no reloading
- Wider shooting angles.
- No Friendly Fire
- Small amount of pierce damage plus elemental damage

(Vanilla ballista still works exactly the same, still shoots friendlies unless trophy is used, still requires ammo. Compatible with FriendlyBallista mod if you want the vanilla ballista to not shoot you.)

#### *NEW* Micro Ballista
- Shoots 5 darts at a time
- Effective against bats, deathsquitos and other small critters

##### Build Cost:
- 2 Fine Wood
- 2 Silver
- 2 Iron Nails
- 1 Chain


#### Mini Ice Ballista
- Frost damage and frost slowing effect

##### Build Cost:
- 5 Fine Wood
- 3 Silver
- 5 Iron Nails
- 1 Freeze Gland

#### Mini Fire Ballista
- Fire damage and burning damage over time.

##### Build Cost:
- 5 Fine Wood
- 3 Silver
- 5 Iron Nails
- 1 Surtling Core

#### Mini Poison Ballista
- Poison damage and poison damage over time.

##### Build Cost:
- 5 Fine Wood
- 3 Silver
- 5 Iron Nails
- 1 Ooze

#### Mini Lightning Ballista
- Lightning damage and increased chance to stagger.
- Longer firing range but more narrow firing arc.

##### Build Cost:
- 5 Fine Wood
- 3 Silver
- 5 Iron Nails
- 1 Crystal

#### Normal Sized Elemental Ballistae
##### Build Costs
 - 10 Yggdrasil Wood
 - 5 Black Metal
 - 3 Mechanical Spring
 - Plus 3 of the corresponding elemental resources; Ice Ballista - 3 Freeze Gland, etc.


## Changelog
0.1.4
- New Micro Ballista: shoots 5 small darts at a time
- Fixed issue prevent mod from loading on servers

0.1.3
- Fixed a compatibility issue with More Defenses mod.

0.1.2
- Added normal sized ballistae: Ice Ballista, Fire Ballista, Poison Ballista, Lightning Ballista.
- Increased turning rate for mini sized ballistae.

0.1.1
- *** Important: Moved ballistae to 'Defenders' tab in the hammer menu. ***
- Added visual effects to ballistae and bolts.

## Roadmmap
- Elemental effects for the bolts - partially done using existing arrows
- Better hammer menu icons
- Mega Ballista
- Magical cannons and other types of turrets